import { request } from 'umi';
import { getDataBaseUrl,getStoremanagement } from '@/global_data';

export default {

  Page(data) {
    return request(getStoremanagement()+`/api/shop/page`, {
      method: 'Post',
      data: data,
    });
  },

  Add(data) {
    return request(getStoremanagement()+`/api/shop`, {
      method: 'Post',
      data: data,
    });
  },

  Update(data) {
    return request(getStoremanagement()+`/api/shop`, {
      method: 'PUT',
      data: data,
    });
  },

  Del(data) {
    return request(getStoremanagement()+`//api/shop/del/`+data, {
      method: 'Post',
    });
  },

  //获取组织列表
  GetOrgList(data) {
    return request(getDataBaseUrl()+`/api/organize/getorglist`, {
      method: 'Post',
      data: data,
    });
  },

   //获取组织树
   GetOrgtree() {
    return request(getDataBaseUrl()+`/api/organize/tree`, {
      method: 'get',
    });
  },
  


 

};
